Download it now!
Bug 97925 - FILEOPEN RTF Very slow scrolling due to high CPU usage
Summary: FILEOPEN RTF Very slow scrolling due to high CPU usage
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: filter:rtf, haveBacktrace, perf, preBibisect, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2016-02-17 08:08 UTC by ZippityStumpy
Modified: 2019-06-27 11:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
samples (1.36 MB, application/zip)
2016-02-17 08:08 UTC, ZippityStumpy
Details
Perf flamegraph of scrolling (461.09 KB, image/svg+xml)
2019-05-20 15:03 UTC, Buovjaga
Details
sample file (8.76 MB, application/rtf)
2019-06-27 09:23 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ZippityStumpy 2016-02-17 08:08:25 UTC
Created attachment 122713 [details]
samples

I opened LAW129856_0_20150717_131452_54011.rtf and pressed PageDown some times - process soffice.bin start cunsuming whole CPU core and Writer almost stop responding. I killed soffice.bin in task manager.

I uninstalled LO and don't want to experiment in near future.

LO 5.1.0.3, XP SP3, Java 1.8.0_73-b02.

Try to open shit.doc >:->
Comment 1 Buovjaga 2016-02-17 11:55:56 UTC
Opened LAW129856_0_20150717_131452_54011.rtf.
It took a long time, but after opening was complete, I could press and hold PageDown and CPU core went only to 10-11%.

But I guess we can set this to NEW as it is a performance issue regardless.

Win 7 Pro 64-bit, Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)
Comment 2 Telesto 2016-12-20 15:35:00 UTC
Repro with:
Version: 5.4.0.0.alpha0+
Build ID: 53edf60c4ce6ed32f87471e018878c40b788005a
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-18_06:57:59
Locale: nl-NL (nl_NL); Calc: CL

Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL

Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

and with
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89)

and with
LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b

but not with:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2017-12-21 03:37:10 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2019-05-16 17:41:20 UTC
3.5.0 already opens it so slow that I did not have patience to wait (over 10 minutes)

With master versions (6.3) on Linux and Windows, the opening time is fairly good, but the scrolling is still laggy.
Comment 5 Buovjaga 2019-05-20 15:03:20 UTC
Created attachment 151536 [details]
Perf flamegraph of scrolling

Arch Linux 64-bit
Version: 6.3.0.0.alpha1+
Build ID: 7aa30433719faece8c40e41d7aa8c7539287932d
CPU threads: 8; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 19 May 2019
Comment 6 Commit Notification 2019-06-26 12:08:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/573d3bbb7e836216dae6f684f4de77d0e46c50e3%5E%21

tdf#97925 writer, slow scrolling large RTF document

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-06-27 09:22:42 UTC
I don't see much difference comparing the scrolling before and after, I guess the difference is much noticeable with slower computers...
Comment 8 Xisco Faulí 2019-06-27 09:23:27 UTC
Created attachment 152440 [details]
sample file
Comment 9 Commit Notification 2019-06-27 11:09:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/73f0c21801a3b549236edb04f6e9c4f92e2b8e4e%5E%21

tdf#97925 writer, slow scrolling large RTF document

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.